Debian Bug report logs - #204684
latex2html not DFSG-free

version graph

Package: latex2html; Maintainer for latex2html is Roland Stigge <stigge@antcom.de>; Source for latex2html is src:latex2html.

Reported by: Roland Stigge <stigge@antcom.de>

Date: Sat, 9 Aug 2003 11:03:01 UTC

Severity: serious

Found in version 2000-beta1-8

Fixed in version latex2html/2002-2-1-1

Done: Roland Stigge <stigge@antcom.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
New Bug report received and forwarded. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: latex2html not DFSG-free
Date: Sat, 09 Aug 2003 13:01:54 +0200
Package: latex2html
Version: 2000-beta1-8
Severity: serious

Hi,

in /usr/share/texmf/tex/latex/latex2html/floatflt.ins I found
the following:

%  Copyright (c) 1994-1998 by Mats Dahlgren <matsd@sssk.se>, 
%  http://www.homenet.se/matsd/ .  All rights reserved.
%
%  You may use the `floatflt' package freely, but at your own
%  risk.  The authors of floatflt.dtx and floatflt.ins (the
%  complete `floatflt' package distribution) can not be held
%  responsible for any consequence of your using any of these
%  files, or files created from these, including hardware,
%  software, and data damage.  You may not make any changes to
%  the files floatflt.dtx or floatflt.ins.  You are allowed to make 
%  changes to the `\documentclass' and/or `\usepackage' commands 
%  of the file `floatexm.tex'.  You may incorporate
%  the code from these files in other files under different
%  names, provided the original authors are given full credit for
%  their work and that you yourself take the complaints from the
%  user(s) of your file(s).  You may freely distribute the
%  files floatflt.dtx and floatflt.ins, provided: 1. You do not
%  take money for the distribution or use of these files except
%  for a nominal charge for diskettes and postage; and 2. You
%  always distribute `floatflt.dtx' and `floatflt.ins' together
%  at the same time. 

And in /usr/share/doc/latex2html/copyright:

o  No fees or compensation are charged for use, copies, or
   access to this software. You may charge a nominal
   distribution fee for the physical act of transferring a
   copy, but you may not charge for the program itself.

This violates the DFSG points 1, 3 and 4. Therefore I don't think
that latex2html (in this form) should be in the Debian main
distribution.

bye,
  Roland

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux atari 2.4.20 #1 Fri Apr 4 11:15:24 CEST 2003 i686
Locale: LANG=en_IE@euro, LC_CTYPE=en_IE@euro

Versions of packages latex2html depends on:
ii  coreutils [fileutils]         5.0-5      The GNU core utilities
ii  fileutils                     5.0-5      The GNU file management utilities 
ii  gs                            7.07-1     The Ghostscript Postscript interpr
ii  gs-esp [gs]                   7.05.6-2   The Ghostscript Postscript interpr
ii  netpbm                        2:9.20-10  Graphics conversion tools.
ii  perl                          5.8.0-19   Larry Wall's Practical Extraction 

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #10 received at 204684@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 204684@bugs.debian.org
Subject: moving away from latex2html?
Date: Sat, 11 Oct 2003 11:58:31 -0400
[Message part 1 (text/plain, inline)]
This bug has been open for 2 months with no comment and no activity that
I can see. Has someone tried to work this out upstream, and should be be
thinking about dropping this package from main? Note that 30-some
packages build-depend on latex2html, including glibc.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #15 received at 204684@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 204684@bugs.debian.org
Cc: joeyh@debian.org
Subject: moving away from latex2html?
Date: Sat, 11 Oct 2003 21:19:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

I second the proposal to remove this package, considering the RFA bug
#212000 and the alternative of tex4ht.

bye,
  Roland
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #20 received at 204684@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Roland Stigge <stigge@antcom.de>, 204684@bugs.debian.org
Cc: joeyh@debian.org
Subject: Re: Bug#204684: moving away from latex2html?
Date: Sun, 12 Oct 2003 16:40:26 +1000
* Roland Stigge <stigge@antcom.de> [2003-10-11 21:19]:
> I second the proposal to remove this package, considering the RFA
> bug #212000 and the alternative of tex4ht.

Joey said ~30 programs build-depend on latex2html.  Could you create a
"latex2html" wrapper around tex4ht and have the latex2html package
depend on tex4ht, so all those packages don't have to change their
build-depends?

-- 
Martin Michlmayr
tbm@cyrius.com



Information stored:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #25 received at 204684-quiet@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@debian.org>
To: nikos@cbl.leeds.ac.uk, matsd@sssk.se
Cc: 204684-quiet@bugs.debian.org
Subject: latex2html non-free?
Date: Mon, 13 Oct 2003 11:28:49 +0200
[Message part 1 (text/plain, inline)]
Hi,

at Debian, we would have to remove the package latex2html from our
distribution because of license issues we consider non-free [1] if the
license doesn't change. Please consider releasing latex under a license
suitable for Free Software / Open Source distributions.

The license parts in question are:

floatflt.ins (by Mats Dahlgren):
%  Copyright (c) 1994-1998 by Mats Dahlgren <matsd@sssk.se>, 
%  http://www.homenet.se/matsd/ .  All rights reserved.
%
%  You may use the `floatflt' package freely, but at your own
%  risk.  The authors of floatflt.dtx and floatflt.ins (the
%  complete `floatflt' package distribution) can not be held
%  responsible for any consequence of your using any of these
%  files, or files created from these, including hardware,
%  software, and data damage.  You may not make any changes to
%  the files floatflt.dtx or floatflt.ins.  You are allowed to make 
%  changes to the `\documentclass' and/or `\usepackage' commands 
%  of the file `floatexm.tex'.  You may incorporate
%  the code from these files in other files under different
%  names, provided the original authors are given full credit for
%  their work and that you yourself take the complaints from the
%  user(s) of your file(s).  You may freely distribute the
%  files floatflt.dtx and floatflt.ins, provided: 1. You do not
%  take money for the distribution or use of these files except
%  for a nominal charge for diskettes and postage; and 2. You
%  always distribute `floatflt.dtx' and `floatflt.ins' together
%  at the same time. 

/usr/share/doc/latex2html/copyright (by Nikos Drakos):
o  No fees or compensation are charged for use, copies, or
   access to this software. You may charge a nominal
   distribution fee for the physical act of transferring a
   copy, but you may not charge for the program itself.

Our guidelines forbid us to distribute software whose redistribution is
restricted (here: no fee is allowed at all) and changes are not allowed.
It would be nice to have latex2html licensed under a free (in our sense)
license, e.g. the GPL. At least, free redistribution and modification
(and in turn, its redistribution) would be needed.

Thanks for considering.

Roland Stigge
Debian Project

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204684
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #30 received at 204684@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 204684@bugs.debian.org, joeyh@debian.org
Subject: Re: Bug#204684: moving away from latex2html?
Date: Mon, 13 Oct 2003 11:34:49 +0200
[Message part 1 (text/plain, inline)]
On Sun, 2003-10-12 at 08:40, Martin Michlmayr wrote:
> * Roland Stigge <stigge@antcom.de> [2003-10-11 21:19]:
> > I second the proposal to remove this package, considering the RFA
> > bug #212000 and the alternative of tex4ht.
> 
> Joey said ~30 programs build-depend on latex2html.

Of course.

> Could you create a
> "latex2html" wrapper around tex4ht and have the latex2html package
> depend on tex4ht, so all those packages don't have to change their
> build-depends?

Yes. Unfortunately, until the end of October I have to limit intense
Debian work to my "own" packages due to exam preparation. But I wonder
if supporting all the possibly needed options and regression testing of
the packages in question would be comparable to the work needed to
change the individual packages. Finally, the wrapper would be
provisional and not a good design, except you want to make a
pseudo-package or something (?).

btw: Since Aurelien Beaujean doesn't appear to have done anything about
this bug, I asked upstream (see bug logs) about this issue. I propose to
wait for another few days if we can achieve anything.

bye,
  Roland
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Mats Dahlgren <matsd@sssk.se>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #35 received at 204684-quiet@bugs.debian.org (full text, mbox):

From: Mats Dahlgren <matsd@sssk.se>
To: Roland Stigge <stigge@debian.org>
Cc: nikos@cbl.leeds.ac.uk, 204684-quiet@bugs.debian.org
Subject: Re: latex2html non-free?
Date: Mon, 13 Oct 2003 22:31:56 +0200
At 11:28 2003-10-13, Roland Stigge wrote:
>Hi,
>
>at Debian, we would have to remove the package latex2html from our
>distribution because of license issues we consider non-free [1] if the
>license doesn't change. Please consider releasing latex under a license
>suitable for Free Software / Open Source distributions.
>
>The license parts in question are:

i don't mind letting you distribute 'floatflt', or any package derived from 
that package, under the LPPL license.

hope this helps.

bets regards,
             mats d.

>floatflt.ins (by Mats Dahlgren):
>%  Copyright (c) 1994-1998 by Mats Dahlgren <matsd@sssk.se>,
>%  http://www.homenet.se/matsd/ .  All rights reserved.
>%
>%  You may use the `floatflt' package freely, but at your own
>%  risk.  The authors of floatflt.dtx and floatflt.ins (the
>%  complete `floatflt' package distribution) can not be held
>%  responsible for any consequence of your using any of these
>%  files, or files created from these, including hardware,
>%  software, and data damage.  You may not make any changes to
>%  the files floatflt.dtx or floatflt.ins.  You are allowed to make
>%  changes to the `\documentclass' and/or `\usepackage' commands
>%  of the file `floatexm.tex'.  You may incorporate
>%  the code from these files in other files under different
>%  names, provided the original authors are given full credit for
>%  their work and that you yourself take the complaints from the
>%  user(s) of your file(s).  You may freely distribute the
>%  files floatflt.dtx and floatflt.ins, provided: 1. You do not
>%  take money for the distribution or use of these files except
>%  for a nominal charge for diskettes and postage; and 2. You
>%  always distribute `floatflt.dtx' and `floatflt.ins' together
>%  at the same time.
>
>/usr/share/doc/latex2html/copyright (by Nikos Drakos):
>o  No fees or compensation are charged for use, copies, or
>    access to this software. You may charge a nominal
>    distribution fee for the physical act of transferring a
>    copy, but you may not charge for the program itself.
>
>Our guidelines forbid us to distribute software whose redistribution is
>restricted (here: no fee is allowed at all) and changes are not allowed.
>It would be nice to have latex2html licensed under a free (in our sense)
>license, e.g. the GPL. At least, free redistribution and modification
>(and in turn, its redistribution) would be needed.
>
>Thanks for considering.
>
>Roland Stigge
>Debian Project
>
>[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204684

-- 
mats dahlgren      SSSK's web:    http://www.sssk.se/
matsd@sssk.se      Skridskonätet: http://www.skridsko.net/
Stockholm, Sweden  Private web:   http://www.homenet.se/matsd/





Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #40 received at 204684@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 204684@bugs.debian.org, joeyh@debian.org
Subject: Re: Bug#204684: moving away from latex2html?
Date: Thu, 16 Oct 2003 11:38:19 +0200
[Message part 1 (text/plain, inline)]
On Mon, 2003-10-13 at 11:34, Roland Stigge wrote:
> > Could you create a
> > "latex2html" wrapper around tex4ht and have the latex2html package
> > depend on tex4ht, so all those packages don't have to change their
> > build-depends?
> 
> Yes. Unfortunately, until the end of October I have to limit intense
> Debian work to my "own" packages due to exam preparation. But I wonder
> if supporting all the possibly needed options and regression testing of
> the packages in question would be comparable to the work needed to
> change the individual packages. Finally, the wrapper would be
> provisional and not a good design, except you want to make a
> pseudo-package or something (?).

I meant virtual package, of course.

> btw: Since Aurelien Beaujean doesn't appear to have done anything about
> this bug, I asked upstream (see bug logs) about this issue. I propose to
> wait for another few days if we can achieve anything.

Update: At http://tug.org/pipermail/latex2html/2003-October/thread.html,
I'm negotiating with upstream. Depending on the result, I'll ask
ftpmasters for the removal (or at least moving to non-free?) of the
package or I will adopt it according to #212000.

bye,
  Roland
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@antcom.de>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #45 received at 204684@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 204684@bugs.debian.org
Subject: latex2html not DFSG-free
Date: Sun, 09 Nov 2003 00:59:25 +0100
[Message part 1 (text/plain, inline)]
Hi,

after a long discussion on the latex2html mailing list and dozens of
mails with the upstream maintainer we concluded at debian-legal that
LaTeX2HTML will have to be removed from Debian until the license changes
(which won't happen before 2005).

I wrote a wrapper around tex4ht as suggested and I'm still regression
testing against the Build-Depending packages. I will announce it at
debian-devel soon and upload if appropriate.

bye,
  Roland
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@debian.org>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #50 received at 204684@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@debian.org>
To: debian-devel@lists.debian.org
Cc: 204684@bugs.debian.org
Subject: Removal of LaTeX2HTML from main
Date: Mon, 10 Nov 2003 16:06:02 +0100
[Message part 1 (text/plain, inline)]
Hi,

working on the legal issues for LaTeX2HTML [1], at debian-legal [2], we
concluded that LaTeX2HTML will have to be removed from main because it
is considered non-free in the sense of the DFSG. After dozens of emails
with upstream and a thread [3] on the LaTeX2HTML mailing list, the
upstream maintainer doesn't consider changing the main license soon,
although at some point in the future, LaTeX2HTML will possibly be
GPL'ed. But that won't happen before 2005 because of historical reasons.

As suggested, I prepared a simple wrapper script [4] around TeX4ht to
emulate latex2html. Unfortunately, during the regression tests with the
38 build-depending packages that list latex2html in their
Build-Depends{,-Indep}, I noticed that only a few packages migrate
flawlessly to TeX4ht with the simple automated wrapper.

With /usr/bin/latex2html substituted, many packages render bad results
or even FTBFS because of several reasons:
- They rely on special generated files the original latex2html generates
  but htlatex doesn't
- TeX4ht/htlatex is not latex2html. Both have special features that
  are hard to mimick with a simple wrapper
- Some even FTBFS anyway (I will file that if not done yet)
- Different behaviour of htlatex and latex2html when called from other
  directories
- htlatex creates files not cleaned up (see the current tex4ht debian bugs)

Take this as an excuse for the simplicity of the wrapper [4], but it
seems to be hard to mimic latex2html with htlatex without investing very
much time. (If you volunteer, please send in improvements but I doubt
that we can easily sort out all the problems in an automated way.)
Instead, I propose the following plan which includes individual devotion
to the Build-Depending packages in question:

I will:
* Upload a latex2html package just containing the aforementioned wrapper
  and depending on tex4ht (and what else it needs to fulfill)
* File serious bugs against packages now rendered FTBFS
* File normal bugs against packages that render bad docs now
* File wishlist bugs against packages that actually don't need latex2html
* File wishlist bugs against packages that work well now but which could
  directly depend on tex4ht or another alternative
* Upload the original LaTeX2HTML as latex2html-nonfree. Ideally, no
  package build-depending on latex2html remains, so the name latex2html
  can remain

Here's a list of the packages in question:

Packages that work well with my wrapper script (don't need adjustments):
- cfitsio
- gnucap
- gnustep-make
- iacd
- tochnog

Packages that actually don't (seem to me to) need to depend on
latex2html because they don't use it at build time:
- abntex
- babel (contrib)
- fpc
- glibc
- hypre (non-free)
- pam
- python-crack
- sbm

Packages that have problems with the automated migration and need manual
adjustments:
- cherrypy (bad result)
- chktex (FTBFS)
- cmucl (FTBFS)
- debian-guide (bad result)
- debian-guide-es (FTBFS)
- debian-guide-zh (FTBFS)
- debian-zh-faq (FTBFS)
- dwarfs-debian-guide (FTBFS)
- ecasound2.2 (bad result)
- freefem (FTBFS)
- gnutls7 (FTBFS)
- illuminator (FTBFS)
- jed (FTBFS)
- libgocr (FTBFS)
- libnasl (FTBFS)
- mlton (FTBFS)
- pica (FTBFS)
- pointless (bad result)
- psp (FTBFS)
- pyopenssl (FTBFS)
- python2.1 (FTBFS)
- python2.2 (FTBFS)
- python2.3 (FTBFS)
- uudeview (FTBFS)
- sdcc (FTBFS)

As the maintainer of one of the aforementioned packages you have the
choice between the following options (exclusively):
* Remove the dependency on latex2html
* Check how the package builds now and manually adjust it to htlatex.
  The package should build-depend on TeX4ht now
* Build-Depend on hevea or hyperlatex if you figure out that one of
  these alternatives are better than TeX4ht (htlatex)
* Put the package to contrib as soon as latex2html-nonfree is in
  non-free and Build-Depend on it.

Thanks for reading all this and for considering.

bye,
  Roland

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=204684
[2] http://lists.debian.org/debian-legal/2003/debian-legal-200310/msg00383.html
    (and followups)
[3] http://tug.org/pipermail/latex2html/2003-October/thread.html
[4] http://www.antcom.de/debian/latex2html.sh
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #55 received at 204684@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 204684@bugs.debian.org, 204684-submitter@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>
Subject: A different suggestion for latex2html
Date: Mon, 10 Nov 2003 16:54:15 +0100
Hi Roland,

after reading through #204684, I'd suggest a different approach for 
latex2html:
- move latex2html to non-free without renaming it
- file RC bugs against packages in main build depending on latex2html

Rationale:

latex2html doesn't change it's name. As you said, your wrapper script 
produces a different output, so a silent change isn't user-friendly.

It will still take many months until Debian 3.1 will be released, and 
a small number of usually easy to fix or at least easy to work around 
bugs shouldn't do much harm.

According to your list, only 5 packages need to be changed to use TeX4ht 
and 6 packages might simply have to drop the build dependency. All the 
other packages listed need under all circumstances manual intervention.
IOW: Easy changes to 11 packages are needed, the bigger problems in
25 other packages aren't affected by my proposal.

cu
Adrian

BTW: Thanks for your work aon this issue!

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, Aurelien Beaujean <aure@debian.org>:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Sven Luther <sven.luther@wanadoo.fr>:
Extra info received and forwarded to list. Copy sent to Aurelien Beaujean <aure@debian.org>. Full text and rfc822 format available.

Message #60 received at 204684@bugs.debian.org (full text, mbox):

From: Sven Luther <sven.luther@wanadoo.fr>
To: Roland Stigge <stigge@debian.org>
Cc: debian-devel@lists.debian.org, 204684@bugs.debian.org
Subject: Re: Removal of LaTeX2HTML from main
Date: Mon, 10 Nov 2003 17:02:31 +0100
On Mon, Nov 10, 2003 at 04:06:02PM +0100, Roland Stigge wrote:
> Hi,
> 
> working on the legal issues for LaTeX2HTML [1], at debian-legal [2], we
> concluded that LaTeX2HTML will have to be removed from main because it
> is considered non-free in the sense of the DFSG. After dozens of emails
> with upstream and a thread [3] on the LaTeX2HTML mailing list, the
> upstream maintainer doesn't consider changing the main license soon,
> although at some point in the future, LaTeX2HTML will possibly be
> GPL'ed. But that won't happen before 2005 because of historical reasons.
> 
> As suggested, I prepared a simple wrapper script [4] around TeX4ht to
> emulate latex2html. Unfortunately, during the regression tests with the
> 38 build-depending packages that list latex2html in their
> Build-Depends{,-Indep}, I noticed that only a few packages migrate
> flawlessly to TeX4ht with the simple automated wrapper.

Notice that there is also Hevea, which has the latex2html functionality.
I don't know if it provides a latex2html wrapper functionality, but i
can ask upstream (not my package though, but i have contact with
upstream). It is said to provide quite nice HTML output.

$ apt-cache show hevea
Package: hevea
Priority: optional
Section: tex
Installed-Size: 1572
Maintainer: Ralf Treinen <treinen@debian.org>
Architecture: all
Version: 1.07-1
Depends: gs, netpbm (>= 2:9.10-1), tetex-bin, ocaml-base-3.07
Suggests: netpbm-nonfree, hevea-doc
Filename: pool/main/h/hevea/hevea_1.07-1_all.deb
Size: 297130
MD5sum: 864446c7d06cbd8dd3aac71651030757
Description: Translator from LaTeX to HTML, info, or text
 Its remarkable features are
  - It produces good output. By default (can be turned off) it uses
    in case of HTML output the symbol face for math symbols. Either way
    it usually avoids generating zillions of picture files.
  - It is highly configurable through (La)TeX macros. Though aimed at
    LaTeX input it understands a fair subset of TeX' macro language.
  - It runs fast.
 .
 This version of HeVeA is patched to generate by default picture files
 in the PNG format instead of the GIF format.
 .
 See also http://para.inria.fr/~maranget/hevea/index.html.

Friendly,

Sven Luther



Message sent on to Roland Stigge <stigge@antcom.de>:
Bug#204684. Full text and rfc822 format available.

Information stored:
Bug#204684; Package latex2html. Full text and rfc822 format available.

Acknowledgement sent to Roland Stigge <stigge@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #68 received at 204684-quiet@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@debian.org>
To: Adrian Bunk <bunk@fs.tum.de>, 204684-quiet@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Removal of LaTeX2HTML from main
Date: Mon, 10 Nov 2003 23:25:55 +0100
[Message part 1 (text/plain, inline)]
Hi,

some additional info:

On Mon, 2003-11-10 at 16:54, Adrian Bunk wrote to #204684:
> after reading through #204684, I'd suggest a different approach for 
> latex2html:
> - move latex2html to non-free without renaming it
> - file RC bugs against packages in main build depending on latex2html
> 
> Rationale:
> 
> latex2html doesn't change it's name. As you said, your wrapper script 
> produces a different output, so a silent change isn't user-friendly.
> 
> It will still take many months until Debian 3.1 will be released, and 
> a small number of usually easy to fix or at least easy to work around 
> bugs shouldn't do much harm.
> 
> According to your list, only 5 packages need to be changed to use TeX4ht 
> and 6 packages might simply have to drop the build dependency. All the 
> other packages listed need under all circumstances manual intervention.
> IOW: Easy changes to 11 packages are needed, the bigger problems in
> 25 other packages aren't affected by my proposal.

Good idea. My priority was to minimize the number of RC bugs. But
considering that the aforementioned additional RC bugs are the least
difficult ones (and they are still a small minority), I will possibly
follow your suggestion.

Thanks.

bye,
  Roland
[signature.asc (application/pgp-signature, inline)]

Reply sent to Roland Stigge <stigge@antcom.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roland Stigge <stigge@antcom.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #73 received at 204684-close@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 204684-close@bugs.debian.org
Subject: Bug#204684: fixed in latex2html 2002-2-1-1
Date: Mon, 17 Nov 2003 14:29:42 -0500
Source: latex2html
Source-Version: 2002-2-1-1

We believe that the bug you reported is fixed in the latest version of
latex2html, which is due to be installed in the Debian FTP archive:

latex2html_2002-2-1-1.diff.gz
  to pool/non-free/l/latex2html/latex2html_2002-2-1-1.diff.gz
latex2html_2002-2-1-1.dsc
  to pool/non-free/l/latex2html/latex2html_2002-2-1-1.dsc
latex2html_2002-2-1-1_all.deb
  to pool/non-free/l/latex2html/latex2html_2002-2-1-1_all.deb
latex2html_2002-2-1.orig.tar.gz
  to pool/non-free/l/latex2html/latex2html_2002-2-1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 204684@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roland Stigge <stigge@antcom.de> (supplier of updated latex2html package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 16 Oct 2003 18:05:51 +0200
Source: latex2html
Binary: latex2html
Architecture: source all
Version: 2002-2-1-1
Distribution: unstable
Urgency: low
Maintainer: Roland Stigge <stigge@antcom.de>
Changed-By: Roland Stigge <stigge@antcom.de>
Description: 
 latex2html - LaTeX to HTML translator
Closes: 177379 204684 206904 212000
Changes: 
 latex2html (2002-2-1-1) unstable; urgency=low
 .
   * New upstream release (Closes: #177379)
   * New maintainer (Closes: #212000)
   * Moved latex2html to non-free according to the consensus at debian-legal
     and debian-devel (the "main" license of latex2html violates DFSG.1),
     resolved licensing issues in floatflt.ins (Closes: #204684)
   * Adjusted debian/control: Description, Depends (removed "fileutils |
     coreutils")
   * Adjusted manpage
   * Disabled undocumented test_mode in /usr/bin/latex2html (Closes: #206904)
   * Standards-Version: 3.6.1
Files: 
 021f122ab334f4791006cb1ad986d220 638 non-free/tex optional latex2html_2002-2-1-1.dsc
 be845028fcda69bde9ea0db200500f7a 1122869 non-free/tex optional latex2html_2002-2-1.orig.tar.gz
 a3ea9cd823ef3dc4033b96a74ab8e387 47816 non-free/tex optional latex2html_2002-2-1-1.diff.gz
 4e718f6cfedce2463d458dc18f494b4b 1817378 non-free/tex optional latex2html_2002-2-1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/s2yEcaH/YBv43g8RAvNnAKDQ2mzFGtFDsC2HSOWaikqCC+PFngCgsRJI
IWvtXMEVhG/29BwWOIcvBZA=
=pCn+
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:58:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.